#ifndef _FileDisplay_
#define _FileDisplay_

#include <TextEdit.h>
#include "LineFile.h"

enum{					/* messages */
		FD_New,
		FD_Redraw,
		FD_Scroll,
		FD_Resize,
		FD_SetTabs,
		FD_Update,
		FD_Click,
		FD_Dispose,
		FD_Copy,
		FD_Activate,
		FD_Idle
	};

#define BORDER 4

typedef struct {
	TEHandle	TE;
	int			tabsize;
	LFile		file;
	long		sel_start, sel_end;
	int			maxlines, actuallines;
	long		filestarts[];		/* variable size */
	} FDRec;
typedef FDRec *FDPtr;
typedef FDPtr *FDHandle;

/* prototypical call */

void FileDisplay( int message, ... );

#endif

